Name:           python-autopep8
Version:        0.9.2
Release:        1
Summary:        The package autopep8 formats Python code based on the output of the pep8 utility

License:        MIT 
URL:            http://pypi.python.org/pypi/autopep8
Source0:        https://pypi.python.org/packages/source/a/autopep8/autopep8-0.9.2.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python-pep8
Requires: 	python-pep8

%description	
autopep8 formats Python code based on the output of the pep8 utility.


%prep
%setup -q -n autopep8-%{version} 
sed -i -e '1d' autopep8.py 
touch test/__init__.py #test needs to be a python module otherwise test will fial

%build
%{__python} setup.py build

%check
%if 0%{?fedora} >= 18 || 0%{?rhel} > 6 
%{__python} setup.py test
%endif

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README.rst
%{python_sitelib}/*
%{_bindir}/autopep8

%changelog
* Tue Aug 13 2013 Nikola Dipanov <ndipanov@redhat.com> - 0.9.2-1 
- Update to upstream version 0.9.2

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Sep 06 2012 Nikola Dipanov <ndipanov@redhat.com> - 0.8-1 
- initial build
